Bug Hunting Session
Bug 99396 - Table editing: cell vertical alignment doesn't do undo/redo
Summary: Table editing: cell vertical alignment doesn't do undo/redo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-19 13:34 UTC by Miklos Vajna
Modified: 2016-10-25 19:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (10.70 KB, application/vnd.oasis.opendocument.presentation)
2016-04-19 13:34 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-04-19 13:34:38 UTC
Created attachment 124503 [details]
Reproducer document

Steps to reproduce:

1) Open the attached bugdoc.

2) Click into the A1 cell.

3) Click "Align Bottom" on the table toolbar.

Expected: Edit -> Undo can undo the alignment change.

Actual: Edit -> Undo is disabled.
Comment 1 Commit Notification 2016-04-19 15:58:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3057b5cdb989d44613518900b25ebad8b7c600a2

Related: tdf#99396 sd: make table controller undo code unit-testable

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-04-19 17:16:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6819992113947e7a6272bf750fee712c2df41905

tdf#99396 SvxTableController::SetVertical: implement undo support

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2016-04-20 10:21:11 UTC
One more related problem, steps to reproduce:

1) Open the attached bugdoc.

2) Click into the A1 cell.

3) Set paragraph horizontal alignment to left.

4) Set Align bottom to bottom.

5) Click outside the table cell (end text edit).

Expected: the text's alignment will be top and left.

Actual: it's bottom and left.
Comment 4 Commit Notification 2016-04-20 17:19:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=100eb15b4d8529d7a11d98a28742f31f0f792fa1

tdf#99396 SdrTableObj::EndTextEdit: restore cell format undo items

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-26 08:05:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64b2f209b72c5a5662afcb0ac1706b882e0e059b&h=libreoffice-5-1

tdf#99396 SvxTableController::SetVertical: implement undo support

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.